Summary: A Python wrapper around the OpenSSL library
Name: pyOpenSSL
Version: 23.2.0
Release: 2%{?dist}
License: ASL 2.0
URL: https://pyopenssl.readthedocs.org/
Source0: https://github.com/pyca/pyopenssl/archive/%{version}/%{version}.tar.gz



BuildRequires: make
BuildRequires: python3-setuptools
BuildRequires: python3-devel
BuildRequires: python3-cryptography >= 35.0.0



BuildArch: noarch

%description
pyOpenSSL is a rather thin wrapper around (a subset of) the OpenSSL library. With thin wrapper we mean that a lot of the object methods do nothing more than calling a corresponding function in the OpenSSL library.

%package -n python3-pyOpenSSL
Summary: Python 3 wrapper module around the OpenSSL library
Requires: python3-cryptography >= 35.0.0
Requires: python3-six >= 1.5.2
Obsoletes: pyOpenSSL < 19.0.0-5
Provides: pyOpenSSL = %{version}-%{release}

%description -n python3-pyOpenSSL
pyOpenSSL is a rather thin wrapper around (a subset of) the OpenSSL library. With thin wrapper we mean that a lot of the object methods do nothing more than calling a corresponding function in the OpenSSL library.



%prep
%autosetup -p1 -n pyopenssl-%{version}



%build
%py3_build



%install
%py3_install



%files -n python3-pyOpenSSL
%license LICENSE
%{python3_sitelib}/OpenSSL/
%{python3_sitelib}/pyOpenSSL-*.egg-info



%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.2.0-2
- Rebuilt for python 3.11

* Mon Sep 18 2023 Miaojun Dong <zoedong@tencent.com> - 23.2.0-1
- Bump version to 23.2.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri May 06 2022 Zhao Zhen <jeremiazhao@tencent.com> - 22.0.0-1
- Initial
